#!/bin/bash

SCRIPT_NAME="$(realpath "${BASH_SOURCE}")"
BASE_DIR="$(dirname "${SCRIPT_NAME}")"

APP_VERSION=1.2.9

BUILD_DIR="${BASE_DIR}/build"
DIST_DIR="${BASE_DIR}/dist"
MODS_DIR="${BASE_DIR}/node_modules"
WP_PLUGIN_DIR="$(realpath "${BASE_DIR}/../../plugins/wavy-colour-banner")"


# echo "${BASE_DIR}"

TERSER_BIN="$(command -v terser)"
ZIP_BIN="$(command -v zip)"

pushd "${BASE_DIR}" >/dev/null

rm -fr "${DIST_DIR}"
mkdir -p "${DIST_DIR}"

npm install
npm run build

echo "Build minified dist JS"
echo "// Wavy Colour Banner v${APP_VERSION}" > "${DIST_DIR}"/wavy-colour-banner.min.js
"${TERSER_BIN}" --compress drop_console=true --mangle -- "${BUILD_DIR}"/wavy-colour-banner.js >> "${DIST_DIR}"/wavy-colour-banner.min.js

echo "Copy to WP plugin assets dir"
cp "${DIST_DIR}"/wavy-colour-banner.min.js "${WP_PLUGIN_DIR}"/assets/wavy-colour-banner.js

rm -fr "${MODS_DIR}"

find "${BASE_DIR}" -iname "*~" -print -delete

popd >/dev/null

exit 0
